VPO(4)

NAME
vpo - parallel to SCSI interface driver

SYNOPSIS
device vpo

For one or more SCSI busses:
device scbus

DESCRIPTION
The vpo driver provide access to parallel port Iomega Zip and Jaz drives.

HARDWARE
The vpo driver supports the following parallel to SCSI interfaces:

•   Adaptec AIC-7110 Parallel to SCSI interface (built-in to Iomega ZIP drives)
•   Iomega Jaz Traveller interface
•   Iomega MatchMaker SCSI interface (built-in to Iomega ZIP+ drives)

USAGE
The driver should let you use a printer connected to the drive while transferring data.

DOS and FreeBSD file systems are supported. When mounting a DOS file system or formatting a FreeBSD file system, check the slice of the disk with the gpart(8) utility.

In order to unixify a ZIP disk, put the following in /etc/disktab:

    zip|zip 100:\
            :ty=removable:se#512:nc#96:nt#64:ns#32:\
            :pa#196608:oa#0:ba#4096:fa#512:\
            :pb#196608:ob#0:bb#4096:fb#512:\
            :pc#196608:oc#0:bc#4096:fc#512:

and use bsdlabel(8).

If you have trouble with your driver, your parallel chipset may not run properly at the detected mode (NIBBLE, PS2 or EPP). Tune the ppc(4) bootflags to force other modes.

SEE ALSO
da(4), lpt(4), ppbus(4), ppc(4), scsi(4)

HISTORY
The vpo manual page first appeared in FreeBSD 3.0.

AUTHORS
This manual page was written by Nicolas Souchu.

BUGS
During boot, the driver first tries to detect a classic ZIP, then a ZIP+. The ZIP+ detection is intrusive and may send erroneous characters to your printer if the drive is not connected to your parallel port.